# Uses of Class
org.apache.lucene.codecs.CompoundDirectory

Packages that use CompoundDirectory
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

## Uses of CompoundDirectory in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return CompoundDirectory
Modifier and Type
Method
Description
`abstract CompoundDirectory`
CompoundFormat.`getCompoundReader(Directory dir, SegmentInfo si, IOContext context)`
Returns a Directory view (read-only) for the compound files in this segment

## Uses of CompoundDirectory in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 that return CompoundDirectory
Modifier and Type
Method
Description
`CompoundDirectory`
Lucene90CompoundFormat.`getCompoundReader(Directory dir, SegmentInfo si, IOContext context)`